from setuptools import setup
import sys
reload(sys)  # Reload does the trick!
sys.setdefaultencoding('UTF8')

requirements = [
    'python-crontab==1.8.1'
]

setup(
    name='syncloud-image-ci',
    version='0.4',
    scripts=['bin/syncloud-image-ci', 'bin/syncloud-ci-post-install', 'bin/syncloud-ci-pre-remove'],
    install_requires=requirements,
    description='Syncloud Continuous Integration',
    packages=['syncloud', 'syncloud.ci'],
    namespace_packages=['syncloud'],
    data_files=[
        ('syncloud-image-ci/config', ['config/ci.cfg'])
    ],
    long_description='Syncloud Continuous Integration',
    license='GPLv3',
    author='Syncloud',
    author_email='syncloud@googlegroups.com',
    url='https://github.com/syncloud/image-ci'
)
